<template>
  <BasicModal v-bind="$attrs" @register="previewModal" :title="getTitle" width="700px">
    <!-- <p class="h-20" v-for="index in 20" :key="index">根据屏幕高度自适应</p> -->
    {{ scheme }}
  </BasicModal>
</template>
<script lang="ts" setup>
  import { ref } from 'vue';
  import { BasicModal, useModalInner } from '@/components/Modal';

  const scheme = ref('');
  const [previewModal, { setModalProps }] = useModalInner(async (data) => {
    scheme.value = data.scheme;
    setModalProps({ confirmLoading: false });
    console.log(scheme.value);
  });
</script>
